Skip to main content
DELETE
/
v2
/
ProductGroup
/
DeleteProductGroups
Delete existing product groups.
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/v2/ProductGroup/DeleteProductGroups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "ids": [
    "b45f6432-2462-4c6f-b00f-1d9d01000000"
  ]
}
'
import requests

url = "https://api.jtl-cloud.com/erp/v2/ProductGroup/DeleteProductGroups"

payload = { "ids": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ids: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};

fetch('https://api.jtl-cloud.com/erp/v2/ProductGroup/DeleteProductGroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Delete existing product groups. - Request

ids
string<uuid>[]

IDs of the product groups to delete.

Response

Product groups successfully deleted.